Subject: [DMVR] Sept. Drive to the river (galena)

From: "Rhett Farnum" <[email-masked]>
Date: Tue, 09 Sep 2003 20:38:22 -0500

Well, I hate to inform all of you but I am not able to attend the drive to 
galena because of prior commitments I was not sure of the date on. However, 
I do plan on attending the iowa region event at Kirkwood CC if any of you 
would be interested in doing that. If you don't know Kirkwood is near Cedar 
Rapids which isn't far from any route you will be taking.

Peace Out,
Rhett
Rocco_crossing
'83 Rocco (autocross ready, tune up, install harness, and finally I may get 
to makeing it look better!!)

_________________________________________________________________
Express yourself with MSN Messenger 6.0 -- download now! 
http://www.msnmessenger-download.com/tracking/reach_general